Package org.eclipse.emf.cdo.lm.assembly.util

# Class AssemblyResourceFactoryImpl

java.lang.Object
org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
org.eclipse.emf.cdo.lm.assembly.util.AssemblyResourceFactoryImpl

All Implemented Interfaces:
  `Resource.Factory`

public class AssemblyResourceFactoryImpl extends ResourceFactoryImpl
The Resource Factory associated with the package.

See Also:
  - `AssemblyResourceImpl`
Generated

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`Resource.Factory.Descriptor, Resource.Factory.Registry`

## Constructor Summary

Constructors
Constructor
Description
`AssemblyResourceFactoryImpl()`
Creates an instance of the resource factory.

## Method Summary

Modifier and Type
Method
Description
`Resource`
`createResource(URI uri)`
Creates an instance of the resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssemblyResourceFactoryImpl

public AssemblyResourceFactoryImpl()
Creates an instance of the resource factory.

Generated

## Method Details

### createResource

public Resource createResource(URI uri)
Creates an instance of the resource.

Specified by:
  `createResource` in interface `Resource.Factory`
Overrides:
  `createResource` in class `ResourceFactoryImpl`
Generated